/*
matmax.c

reads in an m x n float matrix and writes out row and column number 
(array index) of the largest element.
version 0.05
Peter A. Cejchan, GPL
Fri Mar 26 15:10:53 GMT+1 2004 <cej@gli.cas.cz | pac7@post.cz | pac@plan9.cz>


*/

#include <u.h>
#include <libc.h>
#include <bio.h>
#include <ctype.h>

#include "libmatrix.h" 


Biobuf bin;


void 
main(void){
	int ntax, ngen;
	Matrix *mat; 

	Binit(&bin, 0, OREAD);
	if(!readheader(&ntax, &ngen)) abort;
	mat=allocmat(ntax, ngen);
	if(!readmat(mat)) abort;
	if(!matmax(mat)) abort;
}


