/*
matmax.c

reads in an m x n float matrix and writes out row and column number 
(array index) of the largest element.
version 0.06
Peter A. Cejchan, GPL
#  Tue Mar 30 12:25:37 GMT+1 2004 <cej@gli.cas.cz | pac7@post.cz | pac@plan9.cz>




*/

#include <u.h>
#include <libc.h>
#include <bio.h>
#include <ctype.h>

#include "libmatrix.h" 
#include "matrix.h" 


Biobuf bin;


void 
main(void){
	int ntax, ngen;
	Matrix *mat; 

	Binit(&bin, 0, OREAD);
	if(!mat_readheader(&ntax, &ngen)) abort;
	mat=mat_alloc(ntax, ngen);
	if(!mat_read(mat)) abort;
	if(!mat_max(mat)) abort;
}


